# Package org.codehaus.plexus.compiler

Interface Summary
Interface | Description
--- | ---
Compiler |

Class Summary
Class | Description
--- | ---
AbstractCompiler |
AbstractCompilerTckTest |
AbstractCompilerTest |
CompilerConfiguration |
CompilerError | This class encapsulates an error message produced by a programming language processor (whether interpreted or compiled)
CompilerOutputStyle |

Enum Summary
Enum | Description
--- | ---
CompilerConfiguration.CompilerReuseStrategy | re use strategy of the compiler (implement for java only)

Exception Summary
Exception | Description
--- | ---
CompilerException |